# Uses of Class
java.lang.ThreadGroup

Packages that use ThreadGroup
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of ThreadGroup in java.lang

Methods in java.lang that return ThreadGroup
Modifier and Type
Method
Description
`final ThreadGroup`
ThreadGroup.`getParent()`
Returns the parent of this thread group.
`ThreadGroup`
SecurityManager.`getThreadGroup()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the thread group into which to instantiate any new thread being created at the time this is being called.
`final ThreadGroup`
Thread.`getThreadGroup()`
Returns the thread group to which this thread belongs.
Methods in java.lang with parameters of type ThreadGroup
Modifier and Type
Method
Description
`void`
SecurityManager.`checkAccess(ThreadGroup g)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws a `SecurityException` if the calling thread is not allowed to modify the thread group argument.
`int`
ThreadGroup.`enumerate(ThreadGroup[] list)`
Copies into the specified array references to every active subgroup in this thread group and its subgroups.
`int`
ThreadGroup.`enumerate(ThreadGroup[] list, boolean recurse)`
Copies into the specified array references to every active subgroup in this thread group.
`final boolean`
ThreadGroup.`parentOf(ThreadGroup g)`
Tests if this thread group is either the thread group argument or one of its ancestor thread groups.
Constructors in java.lang with parameters of type ThreadGroup
Modifier
Constructor
Description
``
`Thread(ThreadGroup group, Runnable target)`
Allocates a new `Thread` object.
``
`Thread(ThreadGroup group, Runnable target, String name)`
Allocates a new `Thread` object so that it has `target` as its run object, has the specified `name` as its name, and belongs to the thread group referred to by `group`.
``
`Thread(ThreadGroup group, Runnable target, String name, long stackSize)`
Allocates a new `Thread` object so that it has `target` as its run object, has the specified `name` as its name, and belongs to the thread group referred to by `group`, and has the specified stack size.
``
`Thread(ThreadGroup group, Runnable target, String name, long stackSize, boolean inheritThreadLocals)`
Allocates a new `Thread` object so that it has `target` as its run object, has the specified `name` as its name, belongs to the thread group referred to by `group`, has the specified `stackSize`, and inherits initial values for inheritable thread-local variables if `inheritThreadLocals` is `true`.
``
`Thread(ThreadGroup group, String name)`
Allocates a new `Thread` object.
``
`ThreadGroup(ThreadGroup parent, String name)`
Creates a new thread group.